Request Connection
curl --request POST \
--url https://api.sublay.io/api/v6/:projectId/api/v7/users/:userId/connection \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'import requests
url = "https://api.sublay.io/api/v6/:projectId/api/v7/users/:userId/connection"
payload = { "message": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};
fetch('https://api.sublay.io/api/v6/:projectId/api/v7/users/:userId/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "<string>",
"createdAt": "<string>"
}User Connection Operations
Request Connection
Send a connection request to a user
POST
/
:projectId
/
api
/
v7
/
users
/
:userId
/
connection
Request Connection
Sends a connection request from the authenticated user to the specified user. An optional message can be included. A notification is sent to the receiving user.
Path Parameters
string
required
The Sublay user ID (UUID) of the user to send a connection request to.
Body Parameters
string
Optional message to include with the connection request.
Response
On success, returns HTTP201 with the created connection record:
string
Unique connection record ID (UUID).
string
Always
"pending" for a new request.string
ISO timestamp of when the request was sent.
Error Responses
Self-Request — 400
Self-Request — 400
{
"error": "A user cannot send a connection request to themselves.",
"code": "connection/self-request"
}
User Not Found — 404
User Not Found — 404
{
"error": "One or both users involved in the connection do not exist.",
"code": "connection/user-not-found"
}
Already Pending — 409
Already Pending — 409
{
"error": "A connection request is already pending between these users.",
"code": "connection/request-pending"
}
Already Connected — 409
Already Connected — 409
{
"error": "Users are already connected.",
"code": "connection/already-connected"
}
Request Previously Declined — 409
Request Previously Declined — 409
{
"error": "Connection request was declined. Only the receiver can initiate a new request.",
"code": "connection/request-declined"
}
See Also
⌘I

